couchdb-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Robert Kowalski <...@kowalski.gd>
Subject Re: Fauxton compatibility with CouchDB 1.x
Date Sun, 10 Aug 2014 12:26:44 GMT
I would prefer to test Fauxton just against the coming 2.x

Fauxton is always called "experimental" for 1.x and maintaining Fauxton for
both 1.x and the coming 2.x including testing, releases and so on costs
alot of resources, so I would prefer to drop 1.x support now and just test
against 2.x.

As Fauxton will get the default UI for 2.x I would like to focus on
shipping it in a good and working state for 2.x first.

Best,
Robert


2014-08-09 22:58 GMT+02:00 Alexander Shorin <kxepal@gmail.com>:

> Hi devs,
>
> There was raised interesting question about Fauxton compatibility with
> CouchDB 1.x series. Currently this compatibility is broken in form of
> [COUCHDB-2244] issue and [#57923f457] commit. And that's only which we
> aware for now.
>
> So what is the general plan? Make Fauxton works fine with 2.0 leaving
> 1.x support out of border (and certainly, there will no more updates
> for experimental feature), or keep it compatible with both for a while
> until 1.x will gone into the history? I think we should set all dots
> above the i in this question. As a side effect this will explicitly
> define required testing environment for Fauxton - personally, I'm
> using and reporting issues against 1.x which may be irrelevant for
> 2.x.
>
> So what's the plan have to be? What do you think?
>
> [COUCHDB-2244]: https://issues.apache.org/jira/browse/COUCHDB-2244
> [#57923f457]: https://github.com/apache/couchdb-fauxton/commit/57923f457
>
> --
> ,,,^..^,,,
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message